> Markdown 是一种轻量级的「标记语言」，它的优点很多，目前也被越来越多的写作爱好者，撰稿者广泛使用。看到这里请不要被「标记」、「语言」所迷惑，Markdown 的语法十分简单。常用的标记符号也不超过十个，这种相对于更为复杂的HTML 标记语言来说，Markdown 可谓是十分轻量的，学习成本也不需要太多，且一旦熟悉这种语法规则，会有一劳永逸的效果。

## 认识 Markdown

Markdown 是一种用来写作的轻量级「标记语言」，它用简洁的语法代替排版，而不像一般我们用的字处理软件 Word 或 Pages 有大量的排版、字体设置。它使我们专心于码字，用「标记」语法，来代替常见的排版格式。例如此文从内容到格式，甚至插图，键盘就可以通通搞定了。

现在，支持 Markdown 语法的编辑器有很多，包括很多网站（例如 CSDN 博客、CODE CHINA）都支持了 Markdown 格式。Markdown 从写作到完成，导出格式随心所欲，你可以导出 HTML 格式的文件用来网站发布，也可以十分方便的导出 PDF 格式。

## 使用 Markdown 的优点

- 专注你的文字内容而不是排版样式，安心写作
- 轻松的导出 HTML、PDF 和本身的 .md 文件
- 纯文本内容，兼容所有的文本编辑器与字处理软件
- 随时修改你的文章版本，不必像字处理软件生成若干文件版本导致混乱
- 可读、直观、学习成本低

#### 使用 Markdown 的误区

> We believe that writing is about content, about what you want to say – not about fancy formatting.
> 
> 我们坚信写作写的是内容，所思所想，而不是花样格式。
> 
> — Ulysses for Mac

Markdown 旨在简洁、高效，也由于 Markdown 的易读易写，人们用不同的编程语言实现了多个版本的解析器和生成器。这就导致了目前不同的 Markdown 工具集成了不同的功能（基础功能大致相同），例如流程图与时序图，复杂表格与复杂公式的呈现，比如 GFM Markdown 就支持使用 `Mermaid` 生成图表和流程图。


- [创始人 John Gruber 的 Markdown 语法说明](/-/wikis/John_Gruber_Markowdn_syntax)
- [GFM Markdown 语法说明](https://codechina.csdn.net/codechina/help-docs/-/wikis/docs/user/markdown)
