Markdown 使用星号 `*` 和下划线 `_` 作为标记强调字词的符号。

#### 斜体

在 Markdown 中，将内容用 `*` 或 `_` 包裹起来，包围的字词会被转成用 `<em>` 标签包围，会显示成 *斜体*，比如：

```
*这里是斜体内容1*  
_这里是斜体内容2_
```

<details><summary> :point_down:  点击查看显示效果 </summary>
<hr>

*这里是斜体内容1*  
_这里是斜体内容2_

```
<em>这里是斜体内容1</em>
<br>
<em>这里是斜体内容2</em>
```

</details>

**需要注意的是：**

1. 用什么符号开启标签，就要用什么符号结束
2. `*` 和 `_` 两边都有空白的话，它们就只会被当成普通的符号
3. 如果要在文字前后直接插入普通的星号或下划线，可以用反斜杠 `\*`  `\_`
