# 标题

Markdown 支持两种标题的语法，`Setext` 和 `atx` 形式。

## Setext 形式标题

`Setext` 形式是用底线的形式，利用 `=` （一级标题）和 `-` （二级标题），例如：

```
标题1
=====

标题2
-------
```

会显示为

标题1
=====

标题2
-------

```
<h1>标题1</h1>

<h2>标题2</h2>
```

> 注意，Setext 形式的标题至少需要3个以上的 `=` 或 `_` 才可以正常显示为标题样式。

## Atx 形式标题

`Atx` 形式则是在行首插入 1 到 6 个 `#`（最多支持 6 级标题） ，对应到标题 1 到 6 级，例如：

```
# 标题1

## 标题2

#### 标题4

###### 标题6
```

会显示为：

# 标题1

## 标题2

#### 标题4

###### 标题6

