# 图片

Markdown 使用一种和链接很相似的语法来标记图片，同样也允许两种样式： 行内和参考。

## 行内形式图片

行内形式图片的语法格式为`![Alt text](/path/to/img.jpg "Optional title")`，比如：

```
![keyboards](https://source.unsplash.com/500x500/?keyboards "好酷的键盘")
```

![keyboards](https://source.unsplash.com/500x500/?keyboards "好酷的键盘")

## 参考形式图片

参考形式图片的语法格式为如下：

```
![Alt text][id]
[id]: url/to/image  "Optional title attribute"
```

比如：

```
![Git 课程][git]

[git]: https://img-blog.csdnimg.cn/20210112151738537.jpg
```

![Git 课程][git]

[git]: https://img-blog.csdnimg.cn/20210112151738537.jpg


到目前为止， Markdown 还没有办法指定图片的宽高，如果需要的话，可以使用普通的 <img> 标签。

```
<img src="https://img-blog.csdnimg.cn/20210112151738537.jpg" width="300px" height="200px" alt="好好学习">
```
