#### 缩进显示代码

要在 Markdown 中创建代码块也很简单，只要简单地缩进 4 个空白或是 1 个 tab 就可以，例如，下面的输入：

这是一个普通的段落:

    This is a code block.

<details><summary> 点击查看 Markdown 中的转换效果 </summary>
<hr>

```html
<p>这是一个普通的段落:</p>

<pre><code>This is a code block.
</code></pre>
```

</details>
<br>

这个每行一级的缩排（4 个空白或是 1 个 tab），都会被移除，例如：

这里是一段示例代码:

    tell application "Foo"
        beep
    end tell

<details><summary> 点击查看 Markdown 中的转换效果 </summary>
<hr>

```html
<p>这里是一段示例代码:</p>

<pre><code>tell application "Foo"
    beep
end tell
</code></pre>
```

</details>
<br>

一个代码块会一直持续到没有缩排的那一行（或是文档结尾）。

在代码块里面， `&` 、 `<` 和 `>` 会自动转成 HTML 实体，这样的方式让你非常容易使用 Markdown 插入 HTML 的原始示例代码，例如：

    <div class="footer">
        &copy; 2004 Foo Corporation
    </div>

<details><summary> 点击查看 Markdown 中的转换效果 </summary>
<hr>

```html
<pre><code>&lt;div class="footer"&gt;
    &amp;copy; 2004 Foo Corporation
&lt;/div&gt;
</code></pre>
```

</details>
<br>