#### 认识 Markdown

Markdown 是一种用来写作的轻量级「标记语言」，它用简洁的语法代替排版，而不像一般我们用的字处理软件 Word 或 Pages 有大量的排版、字体设置。它使我们专心于码字，用「标记」语法，来代替常见的排版格式。

Markdown 文档从内容到格式，甚至插图，通过键盘就可以通通搞定。

现在，支持 Markdown 语法的编辑器有很多，包括很多网站（例如 CSDN 博客、CODE CHINA）都支持了 Markdown 格式。Markdown 从写作到完成，导出格式随心所欲，你可以导出 HTML 格式的文件用来网站发布，也可以十分方便的导出 PDF 格式。

<details><summary> Markdown 历史</summary>
<hr>

约翰·格鲁伯在2004年创造了 Markdown 语言，在语法上有很大一部分是跟亚伦·斯沃茨共同合作的。这个语言的目的是希望大家使用“易于阅读、易于撰写的纯文字格式，并选择性的转换成有效的XHTML（或是HTML）”。

其中最重要的设计是可读性，也就是说这个语言应该要能直接在字面上的被阅读，而不用被一些格式化指令标记（像是RTF与HTML）。

因此，它是现行电子邮件标记格式的惯例，虽然它也借鉴了几个早期的标记语言，如：`Setext`、`Textile` (markup language)、`reStructuredText`。格鲁伯也编写了的 Perl 脚本：`Markdown.pl`，用于把 Markdown 语法编写的内容转换成有效的、结构良好的XHTML或HTML内容，并将左尖括号`<`和`&`号替换成它们各自的字符实体引用。

**补充阅读**

- [创始人 约翰·格鲁伯(John Gruber) 的 Markdown 语法说明]({{repo_url}}/-/wikis/John_Gruber_Markdown_syntax)
- [GFM Markdown 语法说明]({{repo_url}}/-/wikis/markdown)

</details>

接下来，我们来做个小测试~~~