#### 段落

在 Markdown 中，段落是由一个以上相连接的行句组成，而一个以上的空行则会切分出不同的段落，一般的段落不需要用空白或换行缩排。

> 空行的定义是显示上看起来像是空行，便会被视为空行。
> 
> 比如，若某一行只包含空白`    `和 tab` `，则该行也会被视为空行

「一个以上相连接的行句组成」这句话其实暗示了 Markdown 允许段落内的强迫换行，这个特性和其他大部分的 text-to-HTML 格式不一样（包括 MovableType 的「Convert Line Breaks」选项），其它的格式会把每个换行都转成 `<br/>` 标签。


这也就意味着在 Markdown 中，如果需要把一段内容当做段落来显示，则需要保证该段内容上方及下方至少各有一个空行，比如:

```markdown
这里是段落一
这里是段落二
```


<details><summary> 点击查看这段文字在 Markdown 中的演示效果 </summary>
<hr>

上面这段内容就会被显示在同一行，效果如下：

这里是段落一
这里是段落二

</details>