#### 高亮显示代码段

除了缩进显示代码段之外，Markdown 还支持高亮显示的代码段，在需要高亮的代码块的前后各使用三个反引号（ \`\`\` ）把中间的代码包裹起来，并在第一个 \`\`\` 的末尾标识上语言类型即可，比如：

	```javascript
	// A highlighted block
	var foo = 'bar';
	```

<details><summary> 点击查看代码演示效果 </summary>
<hr>

```javascript
// A highlighted block
var foo = 'bar';
```

</details>

也可以不指定语言类型，比如

	```
	echo "Hello"
	```

<details><summary> 点击查看代码演示效果 </summary>
<hr>


```
echo "Hello"
```

</details>