# Lesson 1 段落及下划线

markdown is __cool__.

markdown is **cool**.

markdown is ~~really cool~~.


# Lesson 2 标题

## 关于 CODE CHINA

### 关于 CSDN

**CSDN使命**：成就一亿技术人

**CSDN愿景**：成为技术人交流和成长的家园

中国开发者社区CSDN (Chinese Software Developer Network) 创立于1999年，致力于成为IT技术人交流和成长的家园。截至2020年11月，CSDN拥有超过3100万注册会员，Alexa全球网站综合排名第26位，社区技术文章累计超过3600万篇，新媒体公众号粉丝总量2000万，合作上千家科技公司。

### 代码托管协作平台——CODE CHINA

CODE CHINA是CSDN为开发者提供的代码托管平台，开发者和企业可以托管、运营、推广自己的开源项目，也可以 托管自己的私有代码仓库。平台提供完善的源代码管理功能及开源协作功能，包括Issue，WIKI，Pages，代码片， MR，Star，Fork等社交编程功能。

**教育为先**

CODE CHINA打造能够在线编译、在线运行的课件即代码的基础环境，使得CODE CHINA能够结合云原生技术为 开源技术的教学、学习提供一站式学习、练习的引擎，通过教学培训场景，赋能高校学生及开发者成为优秀开源项目的参与者和贡献者，助力更多优秀开源项目的产生、发展及壮大。

**立足开源，赋能开发者生态**

CODE CHINA通过CSDN社区，为入驻的企业机构及个人开源项目提供推广、运营、经验交流、学练应用等方面的开源加速包，赋能开发者生态，提升生产力效率。


#### 标题4

##### 标题5

###### 标题6


标题1
=====

标题2
-------


# Lesson 3 链接


<https://www.csdn.net>

[ CODE CHINA ](https://codechina.csdn.net/)

[ 学习广场 ](https://codechina.csdn.net/courses "CODE CHINA 学习广场")

打造能够在线编译、在线运行的课件即代码的基础环境，使得[CODE CHINA][1]能够结合云原生技术为 开源技术的教学、学习提供一站式学习、练习的引擎，通过教学培训场景，赋能高校学生及[开发者][develop]成为优秀开源项目的参与者和贡献者，助力更多优秀[开源项目][develop]的产生、发展及壮大。

[1]: https://codechina.csdn.net/courses?utm_source=explore
[develop]: https://www.csdn.net/



# Lesson 4 图片

![]()

![keyboards](https://source.unsplash.com/500x500/?keyboards "好酷的键盘")

![小猫][cat]

[![小狗](https://source.unsplash.com/100x100/?pups)](https://source.unsplash.com/900x600/?pups)

<img src="https://source.unsplash.com/900x600/?computer" width="300px" height="400px" alt="电脑的照片">

[cat]: https://source.unsplash.com/300x300/?cats


# Lesson 5 列表

## 无序列表

用 `*` 号：

* 香蕉
* 苹果
* 桃子
* 西瓜

用 `+` 号：

+ 飞机
+ 轮船
+ 火车

用 `-` 号：

- 北京
- 上海
- 广州
- 深圳

## 有序列表

1. 第一天
	* 起床
	* 吃饭
	* 工作
		- 开电脑
		- 写代码
			// A code block
			打开 CODE CHINA

			![电脑](https://source.unsplash.com/100x100/?computers)

			```javascript
			var x =1000;
			```
		- 测试
		- 发布
	* 睡觉
1. 第二天
1. 第四天
1. 第七天

## 任务列表

- [x] 起床
- [x] 吃饭
- [ ] 工作
- [ ] 睡觉

# Lesson 6 换行、分隔线及引用

## 换行

第一行的内容<br>
第二行的内容

## 水平线

水平线上方

---

水平线下方


## 引用

> 程序员有三种美德：懒惰，急躁和傲慢。 —— **Larry Wall**
> 
> 要想学会递归，首先学会递归。


# Lesson 7 代码块

## 行内代码

来一段 JavaScript 代码，比如 `var foo = 'bar';` 

## 高亮显示代码段

```javascript
// A highlighted block
var foo = 'bar';
```

```
echo "Hello"
```

## 缩进显示代码段

这里是一段代码

	// A code block
	var foo = 'bar';


### Diff 语法

```diff
var foo = 'bar';
- var x = 200;
+ var x = 100;
```


# Lesson 8 表格

## 表格1

项目     | Value
-------- | -----
电脑  | $1600
手机  | $12
导管  | $1

## 表格2

| Column 1 | Column 2      |
|:--------:| -------------:|
| centered 文本居中 | right-aligned 文本居右 |


# Lesson 9 更多用法

更过 markdown 的高级用法，等待你的发掘。


[课程参考](https://courses.wesbos.com/account/access/5ff6a5b052537977c428cc91/view/195944762)

[markdown 介绍](https://codechina.csdn.net/codechina/help-docs/-/wikis/docs/user/markdown)

<https://www.ituring.com.cn/article/504>

<https://qiankunpingtai.cn/article/1556607461225>
